summaryrefslogtreecommitdiff
path: root/dev-python/requests_download
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/requests_download
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/requests_download')
-rw-r--r--dev-python/requests_download/Manifest1
-rw-r--r--dev-python/requests_download/metadata.xml13
-rw-r--r--dev-python/requests_download/requests_download-0.1.2.ebuild30
3 files changed, 44 insertions, 0 deletions
diff --git a/dev-python/requests_download/Manifest b/dev-python/requests_download/Manifest
new file mode 100644
index 000000000000..8951ccff9fd3
--- /dev/null
+++ b/dev-python/requests_download/Manifest
@@ -0,0 +1 @@
+DIST requests_download-0.1.2.tar.gz 2584 BLAKE2B c6f2eb7a182e0f42ccb7b603dec47a077b1b946bfa93968972dce5267c7c51fa8c4158e15cd35621cbe229e12f6644db9734e52439796d8d8411be16a38e1e9a SHA512 99d4b275200c88befd2730d17a3329c8cbb155fa5cf9600a7466e8ab109f999a9fc9b8c668aa3b389bc2a3deb33b8a3fd390270d71f04bb0a8f998da67cfde82
diff --git a/dev-python/requests_download/metadata.xml b/dev-python/requests_download/metadata.xml
new file mode 100644
index 000000000000..6fc77f6bc0a1
--- /dev/null
+++ b/dev-python/requests_download/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>chutzpah@gentoo.org</email>
+ <name>Patrick McLean</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">requests_download</remote-id>
+ <remote-id type="github">takluyver/requests_download</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/requests_download/requests_download-0.1.2.ebuild b/dev-python/requests_download/requests_download-0.1.2.ebuild
new file mode 100644
index 000000000000..a4eaf50913d5
--- /dev/null
+++ b/dev-python/requests_download/requests_download-0.1.2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A convenient function to download to a file using requests"
+HOMEPAGE="https://github.com/takluyver/requests_download https://pypi.org/project/requests_download/"
+SRC_URI="https://github.com/takluyver/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/requests[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}"
+
+# there are no tests upstream
+RESTRICT="test"
+
+DOCS=( README.rst )
+
+python_prepare_all() {
+ printf -- "from setuptools import setup\nsetup(name='%s',version='%s',py_modules=['%s'])" \
+ "${PN}" "${PV}" "${PN}" > setup.py || die
+
+ distutils-r1_python_prepare_all
+}